Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006741OCamltools (ocaml{lex,yacc,dep,debug,...})public2014-12-31 04:552017-02-17 17:59
Reporteroliver 
Assigned To 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
Platform./.OS./.OS Version./.
Product Version 
Target VersionundecidedFixed in Version4.03.0 
Summary0006741: ocamldebug: document the .ocamldebug startup file
DescriptionFor easier working, ocamldebug should get a init-file,
an aequivalent to .gdbinit for gdb.

This would make working with ocamldebug much, much easier!
Tagsjunior_job
Attached Files

- Relationships

-  Notes
(0013003)
gasche (administrator)
2015-01-02 21:01

This is already possible today: the ".ocamldebug" file is read and executed at startup. This was implemented by Xavier Clerc in 3.11, but apparently not documented. Anyone should feel free to propose a patch (the manpage is in the man/ subdirectory of the distribution, and the reference manual is at https://github.com/ocaml/ocaml-manual/blob/trunk/manual/cmds/debugger.etex [^] ).
(0015743)
doligez (administrator)
2016-04-14 16:43

The reference manual is now in the manual/ subdirectory of http://github.com/ocaml/ocaml [^]
(0015750)
gasche (administrator)
2016-04-14 19:33

Patch proposed: https://github.com/ocaml/ocaml/pull/544 [^]
(0017321)
doligez (administrator)
2017-02-17 17:58

The GPR was merged in 4.03.

- Issue History
Date Modified Username Field Change
2014-12-31 04:55 oliver New Issue
2015-01-02 21:01 gasche Note Added: 0013003
2015-01-02 21:02 gasche Severity feature => text
2015-01-02 21:02 gasche Status new => acknowledged
2015-01-02 21:02 gasche Target Version => 4.02.2+dev / +rc1
2015-01-02 21:02 gasche Summary ocamldebug: init-file for commands at startup needed => ocamldebug: document the .ocamldebug startup file
2015-01-03 20:30 gasche Tag Attached: junior_job
2015-01-15 18:43 doligez Target Version 4.02.2+dev / +rc1 => 4.03.0+dev / +beta1
2016-04-14 16:43 doligez Note Added: 0015743
2016-04-14 16:43 doligez Target Version 4.03.0+dev / +beta1 => 4.03.1+dev
2016-04-14 19:33 gasche Note Added: 0015750
2016-12-07 16:37 doligez Category OCaml tools (ocaml{lex,yacc,dep,browser,debug}) => OCaml tools (ocaml{lex,yacc,dep,debug})
2017-02-16 14:01 doligez Target Version 4.03.1+dev => undecided
2017-02-17 17:58 doligez Note Added: 0017321
2017-02-17 17:59 doligez Status acknowledged => closed
2017-02-17 17:59 doligez Resolution open => fixed
2017-02-17 17:59 doligez Fixed in Version => 4.03.0
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker